cdb_read(3)

NAME
cdb_read - read bytes from a constant database

SYNTAX
#include <libowfat/cdb.h>
#include <libowfat/uint32.h> int cdb_read(struct cdb *c, char *buf, size_t len, uint32 position);

DESCRIPTION
cdb_read reads len bytes starting at position from c to buf. You can use cdb_datapos or cdb_keypos to get position and cdb_datalen and cdb_keylen to get len. buf needs to point to a memory region large enough to hold len bytes.

RETURN VALUE
cdb_read returns 0 if everything went well, or -1 on error (setting errno appropriately.

SEE ALSO
cdb_find(3), cdb_init(3), cdb_free(3), cdbmake(1)